> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Command Route



## OpenAPI

````yaml /api/openapi.json post /api/run
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/run:
    post:
      tags:
        - run
      summary: Run Command Route
      operationId: run_command_route_api_run_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunCommandIn'
        required: true
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunCommandOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RunCommandIn:
      properties:
        target:
          type: string
          maxLength: 1024
          minLength: 1
          title: Target
        target_type:
          type: string
          enum:
            - glob
            - list
            - pcre
            - grain
            - nodegroup
            - compound
          title: Target Type
          default: glob
        fun:
          type: string
          maxLength: 128
          minLength: 1
          title: Fun
        args:
          items:
            type: string
          type: array
          title: Args
          default: []
        kwargs:
          additionalProperties: true
          type: object
          title: Kwargs
      type: object
      required:
        - target
        - fun
      title: RunCommandIn
    RunCommandOut:
      properties:
        jid:
          type: string
          title: Jid
        minions:
          items:
            type: string
          type: array
          title: Minions
      type: object
      required:
        - jid
        - minions
      title: RunCommandOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````